package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学校风景对象 mall_school_scenery
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallSchoolScenery extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校风景主键ID */
    private Long sceneryId;

    /** 学校名称 */
    private String schoolName;

    /** 所属学校ID */
    @Excel(name = "所属学校ID")
    private Long schoolId;

    /** 图片 */
    @Excel(name = "图片")
    private String headUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 展示状态(0-正常,1-隐藏) */
    @Excel(name = "展示状态(0-正常,1-隐藏)")
    private Integer displayStatus;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public void setSceneryId(Long sceneryId)
    {
        this.sceneryId = sceneryId;
    }

    public Long getSceneryId()
    {
        return sceneryId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setHeadUrl(String headUrl)
    {
        this.headUrl = headUrl;
    }

    public String getHeadUrl()
    {
        return headUrl;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDisplayStatus(Integer displayStatus)
    {
        this.displayStatus = displayStatus;
    }

    public Integer getDisplayStatus()
    {
        return displayStatus;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sceneryId", getSceneryId())
            .append("schoolId", getSchoolId())
            .append("headUrl", getHeadUrl())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("displayStatus", getDisplayStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
